<div class="min-w-full p-2">
    <form class="flex flex-col w-full" [formGroup]="frmAttributeForm" (ngSubmit)="onFormSubmit(frmAttributeForm.value)">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add New Attribute Item
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

                <div class="w-full">
                    <div class="flex w-full">
                        <div class="w-full" formArrayName="attributeModels"> <!-- added new -->
                            <div *ngFor="let item of attributeModels.controls; let i=index"><!-- added new -->
                                <div [formGroupName]="i"  class="flex flex-col"><!-- added new -->
                                    <div class="flex w-full">
                                        <mat-form-field class="w-1/2 pr-2">
                                            <mat-label>Attribute Item Name</mat-label>
                                            <input matInput  formControlName="attributeName"/>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/2 pl-2">
                                            <mat-label>Category</mat-label>
                                            <mat-select  formControlName="categoryId">
                                                 <mat-option *ngFor="let categoryType of attributeCatagoryTypes" [value]="categoryType.id">  <!--if used table -->
                                                <!--<mat-option *ngFor="let categoryType of attributeCatagoryTypes" [value]="categoryType.value">--><!--if used Enum -->
                                                    {{categoryType.text}}
                                                </mat-option>
                                            </mat-select>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                    </div>
                                    <div class="flex w-full">
                                        <mat-form-field class="w-full">
                                            <mat-label>Description</mat-label>
                                            <input matInput  formControlName="description"/>
                                            <!-- <span
                                                *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                                enter Team Desc</span> -->
                                        </mat-form-field>
                                    </div>
                                    <div class="flex w-full">
                                        <mat-form-field class="w-1/2 pr-2">
                                            <mat-label>Data Type</mat-label>
                                            <mat-select  formControlName="DataType">
                                                <mat-option *ngFor="let DataType of attributeDataTypes" [value]="DataType">
                                                    {{DataType.text}}
                                                </mat-option>
                                            </mat-select>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/2 pl-2">
                                            <mat-label>Input Value</mat-label>
                                            <input matInput/>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-stroked-button [color]="'primary'" type="button">
                <span class="mx-4">Previous</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Next</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
